# Events

## The event Object

* [Properties](#properties)

Represents an event that occurred in your workspace.

***

## Properties

**`event_id`** *UUID*

ID of the event.

***

**`event_type`** *Enum*

Type of event.

<details>

<summary>Enum values</summary>

* `access_code.created`
* `access_code.changed`
* `access_code.scheduled_on_device`
* `access_code.set_on_device`
* `access_code.removed_from_device`
* `access_code.delay_in_setting_on_device`
* `access_code.failed_to_set_on_device`
* `access_code.deleted`
* `access_code.delay_in_removing_from_device`
* `access_code.failed_to_remove_from_device`
* `access_code.modified_external_to_seam`
* `access_code.deleted_external_to_seam`
* `access_code.backup_access_code_pulled`
* `access_code.unmanaged.converted_to_managed`
* `access_code.unmanaged.failed_to_convert_to_managed`
* `access_code.unmanaged.created`
* `access_code.unmanaged.removed`
* `access_grant.created`
* `access_grant.deleted`
* `access_grant.access_granted_to_all_doors`
* `access_grant.access_granted_to_door`
* `access_grant.access_to_door_lost`
* `access_grant.access_times_changed`
* `access_grant.could_not_create_requested_access_methods`
* `access_method.issued`
* `access_method.revoked`
* `access_method.card_encoding_required`
* `access_method.deleted`
* `access_method.reissued`
* `access_method.created`
* `acs_system.connected`
* `acs_system.added`
* `acs_system.disconnected`
* `acs_credential.deleted`
* `acs_credential.issued`
* `acs_credential.reissued`
* `acs_credential.invalidated`
* `acs_user.created`
* `acs_user.deleted`
* `acs_encoder.added`
* `acs_encoder.removed`
* `acs_access_group.deleted`
* `acs_entrance.added`
* `acs_entrance.removed`
* `client_session.deleted`
* `connected_account.connected`
* `connected_account.created`
* `connected_account.disconnected`
* `connected_account.completed_first_sync`
* `connected_account.deleted`
* `connected_account.completed_first_sync_after_reconnection`
* `connected_account.reauthorization_requested`
* `action_attempt.lock_door.succeeded`
* `action_attempt.lock_door.failed`
* `action_attempt.unlock_door.succeeded`
* `action_attempt.unlock_door.failed`
* `action_attempt.simulate_keypad_code_entry.succeeded`
* `action_attempt.simulate_keypad_code_entry.failed`
* `action_attempt.simulate_manual_lock_via_keypad.succeeded`
* `action_attempt.simulate_manual_lock_via_keypad.failed`
* `connect_webview.login_succeeded`
* `connect_webview.login_failed`
* `device.connected`
* `device.added`
* `device.converted_to_unmanaged`
* `device.unmanaged.converted_to_managed`
* `device.unmanaged.connected`
* `device.disconnected`
* `device.unmanaged.disconnected`
* `device.tampered`
* `device.low_battery`
* `device.battery_status_changed`
* `device.removed`
* `device.deleted`
* `device.third_party_integration_detected`
* `device.third_party_integration_no_longer_detected`
* `device.salto.privacy_mode_activated`
* `device.salto.privacy_mode_deactivated`
* `device.connection_became_flaky`
* `device.connection_stabilized`
* `device.error.subscription_required`
* `device.error.subscription_required.resolved`
* `device.accessory_keypad_connected`
* `device.accessory_keypad_disconnected`
* `noise_sensor.noise_threshold_triggered`
* `lock.locked`
* `lock.unlocked`
* `lock.access_denied`
* `thermostat.climate_preset_activated`
* `thermostat.manually_adjusted`
* `thermostat.temperature_threshold_exceeded`
* `thermostat.temperature_threshold_no_longer_exceeded`
* `thermostat.temperature_reached_set_point`
* `thermostat.temperature_changed`
* `device.name_changed`
* `camera.activated`
* `device.doorbell_rang`
* `enrollment_automation.deleted`
* `phone.deactivated`
* `space.device_membership_changed`
* `space.created`
* `space.deleted`

</details>

***

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

***

**`created_at`** *DateTime*

Date and time at which the event was created.

***

**`occurred_at`** *DateTime*

Date and time at which the event occurred.

***

## Endpoints

[**`/events/get`**](/latest/api/events/get.md)

Returns a specified event. This endpoint returns the same event that would be sent to a [webhook](https://docs.seam.co/latest/developer-tools/webhooks), but it enables you to retrieve an event that already took place.

[**`/events/list`**](/latest/api/events/list.md)

Returns a list of all events. This endpoint returns the same events that would be sent to a [webhook](https://docs.seam.co/latest/developer-tools/webhooks), but it enables you to filter or see events that already took place.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
